Index: locales/fr/help/index.html
===================================================================
--- locales/fr/help/index.html	(revision 2798)
+++ locales/fr/help/index.html	(revision 3757)
@@ -18,5 +18,5 @@
 	<p>Le volet en haut de chaque page est composé de trois éléments :</p>
 	<h5 class="as_h4">Logo</h5>
-	<p>Par défaut, ce logo est celui de Dotclear et son lien conduit vers l’accueil de l’administration. Toutefois, un gestionnaire de plate-forme peut choisir un autre logo et diriger le lien vers autre chose que l’accueil (en général la page d’accueil du service).</p>
+	<p>Par défaut, ce logo est celui de Dotclear et son lien conduit vers l’accueil de l’administration. Toutefois, un·e gestionnaire de plate-forme peut choisir un autre logo et diriger le lien vers autre chose que l’accueil (en général la page d’accueil du service).</p>
 
 	<h5 class="as_h4">Blog(s)</h5>
@@ -33,13 +33,13 @@
 	<p>Il conduit vers les différentes pages d’administration correspondant à vos permissions sur le blog actif. Quatre blocs le composent&nbsp;</p>
 	<ul>
-		<li><strong>Mes Favoris</strong> liste les pages que vous avez désignées comme telles dans l’onglet <em>Mon tableau de bord</em> de <em>Mes préférences</em>. Si vous n’avez encore choisi aucun favori, cette liste correspond au set par défaut de Dotclear ou celui du gestionnaire de la plate-forme. Si vous ne souhaitez pas afficher ce bloc, décochez la case correspondante dans vos options de tableau de bord.</li>
+		<li><strong>Mes Favoris</strong> liste les pages que vous avez désignées comme telles dans l’onglet <em>Mon tableau de bord</em> de <em>Mes préférences</em>. Si vous n’avez encore choisi aucun favori, cette liste correspond au set par défaut de Dotclear ou celui du ou de la gestionnaire de la plate-forme. Si vous ne souhaitez pas afficher ce bloc, décochez la case correspondante dans vos options de tableau de bord.</li>
 		<li><strong>Blog</strong> regroupe la liste de toutes les pages permettant l’alimentation et les réglages du blog actif, de la rédaction d’un article à la gestion de la médiathèque en passant par le choix de la présentation et autres paramétrages.<br />
 		<em>Si vous ne possédez pas de droits d’administration sur le blog actif, il n’y a pas d’autre bloc après celui-ci dans le menu principal.</em></li>
-		<li><strong>Réglages système</strong> offre l’accès aux pages permettant d’administrer l’installation Dotclear : gestion des blogs, utilisateurs et langues disponibles, installation d’extensions, réglages système. Si vous possédez des droits sur plusieurs blogs mais ne disposez pas du statut de super administrateur, il est constitué du seul item <em>Blogs</em>.</li>
-		<li><strong>Plugins</strong> permet d’effectuer les paramétrages des plugins installés. Si les réglages d’un plugin n’impactent qu’un blog à la fois, sa page d’administration est disponible depuis le bloc <em>Blog</em>, mais si les réglages ont des répercussions sur toutes les pages de l’installation ils figurent ici et ne sont accessibles qu’aux utilisateurs disposant des droits de super admin.</li>
+		<li><strong>Réglages système</strong> offre l’accès aux pages permettant d’administrer l’installation Dotclear : gestion des blogs, utilisateur·rice·s et langues disponibles, installation d’extensions, réglages système. Si vous possédez des droits sur plusieurs blogs mais ne disposez pas du statut de super administrateur·rice, il est constitué du seul item <em>Blogs</em>.</li>
+		<li><strong>Plugins</strong> permet d’effectuer les paramétrages des plugins installés. Si les réglages d’un plugin n’impactent qu’un blog à la fois, sa page d’administration est disponible depuis le bloc <em>Blog</em>, mais si les réglages ont des répercussions sur toutes les pages de l’installation ils figurent ici et ne sont accessibles qu’aux utilisateur·rice·s disposant des droits de super admin.</li>
 	</ul>
 
 	<h4 class="pretty-title">Pied de page</h4>
-	<p>Une version gratuite de Dotclear est offerte à tout utilisateur découvrant le secret du pied de page.</p>
+	<p>Une version gratuite de Dotclear est offerte à tout utilisateur·rice découvrant le secret du pied de page.</p>
 
 	<h3>Aide aux grands débutants</h3>
@@ -54,6 +54,6 @@
 </div>
 
-<div class="multi-part" id="users-doc" title="Documentation utilisateurs">
-	<h3>Documentation pour les utilisateurs</h3>
+<div class="multi-part" id="users-doc" title="Documentation utilisateur·rice·s">
+	<h3>Documentation pour les utilisateur·rice·s</h3>
 	<div class="three-boxes">
 		<h4 class="pretty-title">Alimentation du blog</h4>
@@ -95,13 +95,13 @@
 					<ul><li><a href="http://fr.dotclear.org/documentation/2.0/usage/feeds">Kesako ?</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/feeds#comment-les-mettre-a-disposition">Comment les mettre à disposition ?</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/feeds#comment-s-abonner">Comment s&#039;abonner ?</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/usage/feeds#en-savoir-plus">En savoir plus</a></li></ul>
 			<h4 class="smart-title">Tutoriels</h4>
-				<ul><li><a href="http://abc.dotaddict.org/archive">abc dotclear</a>, un blog spécialement dédié aux grands débutants.</li>
+				<ul><li><a href="http://abc.dotaddict.org/archive">abc dotclear</a>, un blog spécialement dédié aux grand·e·s débutant·e·s.</li>
 				<li><a href="http://tips.dotaddict.org">Tips</a>, des tutoriels pour vous aider à personnaliser votre blog.</li></ul>
 			<h4 class="smart-title">Entraide</h4>
-				<ul><li><a href="http://forum.dotclear.net">Le forum de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/faq#utilisation">Questions fréquentes des utilisateurs</a></li></ul>
+				<ul><li><a href="http://forum.dotclear.net">Le forum de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/faq#utilisation">Questions fréquentes des utilisateur·rice·s</a></li></ul>
 	</div>
 </div>
 
-	<div class="multi-part" id="admin-doc" title="Documentation administrateurs">
-	<h3>Documentation pour les administrateurs</h3>
+	<div class="multi-part" id="admin-doc" title="Documentation administrateur·rice·s">
+	<h3>Documentation pour les administrateur·rice·s</h3>
 		<div class="three-boxes">
 		<h4 class="pretty-title">Installation et mise à jour</h4>
@@ -121,14 +121,14 @@
 			</ul>
 
-			<h5>Annexe hébergeurs</h5>
-			<ul class="from-left">
-				<li><a href="http://fr.dotclear.org/documentation/2.0/hosting">Hébergeurs</a>
-					<ul><li>Documentations spécifiques</li><li>Hébergeurs supportant Dotclear</li><li>Panels d&#039;installation</li><li>Tester votre hébergeur</li></ul></li></ul>
+			<h5>Annexe hébergeur·euse·s</h5>
+			<ul class="from-left">
+				<li><a href="http://fr.dotclear.org/documentation/2.0/hosting">Hébergeur·euse·s</a>
+					<ul><li>Documentations spécifiques</li><li>Hébergeur·euse·s supportant Dotclear</li><li>Panels d&#039;installation</li><li>Tester votre hébergeur·euse</li></ul></li></ul>
 		</div>
 		<div class="three-boxes">
 			<h4 class="pretty-title">Administration</h4>
 			<ul class="from-left">
-				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/users">Gestion des utilisateurs</a>
-					<ul><li>Liste des utilisateurs existants</li><li>Créer un utilisateur</li><li>Modifier un utilisateur</li><li>Permissions de l&#039;utilisateur</li></ul></li>
+				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/users">Gestion des utilisateur·rice·s</a>
+					<ul><li>Liste des utilisateur·rice·s existant·e·s</li><li>Créer un·e utilisateur·rice</li><li>Modifier un·e utilisateur·rice</li><li>Permissions de l&#039;utilisateur·rice</li></ul></li>
 				<li><a href="http://fr.dotclear.org/documentation/2.0/admin/clean-install">Installation optimisée</a>
 					<ul><li>Installation de Dotclear</li><li>Isoler les plugins</li><li>Créer les bases du blog</li><li>Créer le blog</li><li>Les thèmes et les médias</li><li>Et l’administration dans tout ça ?</li></ul></li>
@@ -153,5 +153,5 @@
 			<div class="fieldset vertical-separator">
 				<h4 class="smart-title">Entraide</h4>
-				<ul><li><a href="http://forum.dotclear.net">Le forum de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/faq#utilisation">Questions fréquentes des administrateurs</a></li></ul>
+				<ul><li><a href="http://forum.dotclear.net">Le forum de Dotclear</a></li><li><a href="http://fr.dotclear.org/documentation/2.0/faq#utilisation">Questions fréquentes des administrateur·rice·s</a></li></ul>
 			</div>
 		</div>
@@ -159,6 +159,6 @@
 	</div>
 
-	<div class="multi-part" id="guide-dev" title="Documentation développeurs">
-	<h3>Documentation et ressources pour les développeurs</h3>
+	<div class="multi-part" id="guide-dev" title="Documentation développeur·euse·s">
+	<h3>Documentation et ressources pour les développeur·euse·s</h3>
 
 		<div class="three-boxes first-child">
@@ -215,6 +215,6 @@
 	<h3>Accessibilité et ergonomie</h3>
 	<p>L&#039;interface de Dotclear répond à la quasi totalité des critères <a href="http://www.w3.org/Translations/WCAG20-fr/">WCAG 2.0</a> ; un reporting précis sera prochainement publié sur le <a href="http://fr.dotclear.org/blog/">blog du projet</a>. À terme nous aimerions également répondre pleinement aux critères <a href="http://www.w3.org/TR/ATAG20/">ATAG 2.0</a>.</p>
-	<p>L&#039;accessibilité et l&#039;ergonomie sont au cœur des préoccupations de l&#039;équipe Dotclear. Nous menons régulièrement des analyses avec l&#039;aide d’experts et procédons continuellement à des correctifs et améliorations.</p>
-	<p>Vous pouvez nous aider dans cette tâche en ouvrant des <a href="http://dev.dotclear.org/2.0/report">tickets</a> ou en participant au <a href="http://forum.dotclear.org/">forum</a> pour nous faire part des difficultés que vous rencontrez pour utiliser l&#039;interface. Vous pouvez également y proposer de participer à des tests utilisateurs ou de rejoindre notre équipe.</p>
+	<p>L&#039;accessibilité et l&#039;ergonomie sont au cœur des préoccupations de l&#039;équipe Dotclear. Nous menons régulièrement des analyses avec l&#039;aide d’expert·e·s et procédons continuellement à des correctifs et améliorations.</p>
+	<p>Vous pouvez nous aider dans cette tâche en ouvrant des <a href="http://dev.dotclear.org/2.0/report">tickets</a> ou en participant au <a href="http://forum.dotclear.org/">forum</a> pour nous faire part des difficultés que vous rencontrez pour utiliser l&#039;interface. Vous pouvez également y proposer de participer à des tests utilisateur·rice·s ou de rejoindre notre équipe.</p>
 	</div>
 