Index: admin/images/attach.svg
===================================================================
--- admin/images/attach.svg	(revision 3774)
+++ admin/images/attach.svg	(revision 3774)
@@ -0,0 +1,1 @@
+<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><title>attachment</title><path d="M9.5 19.75a4.25 4.25 0 0 1-4.25-4.25v-6.5a2.75 2.75 0 0 1 5.5 0v6h-1.5v-6a1.25 1.25 0 0 0-2.5 0v6.5a2.75 2.75 0 0 0 5.5 0v-11.5a2.25 2.25 0 0 0-4.5 0v1h-1.5v-1a3.75 3.75 0 0 1 7.5 0v11.5a4.25 4.25 0 0 1-4.25 4.25z" fill="#ff0000"/></svg>
Index: admin/style/config.rb
===================================================================
--- admin/style/config.rb	(revision 3355)
+++ admin/style/config.rb	(revision 3774)
@@ -5,5 +5,5 @@
 css_dir = "./"
 sass_dir = "scss"
-images_dir = "img"
+images_dir = "./"
 javascripts_dir = "scripts"
 
Index: admin/style/default-dark.css
===================================================================
--- admin/style/default-dark.css	(revision 3771)
+++ admin/style/default-dark.css	(revision 3774)
@@ -3099,4 +3099,14 @@
   font-weight: bold; }
 
+/* ------------------------------------------------------------------------- indicateurs */
+.mark-attach {
+  display: inline-block;
+  box-sizing: border-box;
+  width: 12px;
+  height: 12px;
+  padding-left: 12px;
+  background: url("../images/attach.svg") no-repeat;
+  filter: hue-rotate(260deg) saturate(100) saturate(0.2) brightness(220%); }
+
 /* ---------------------------------------------------------------- utilisables partout  */
 .legible {
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3771)
+++ admin/style/default.css	(revision 3774)
@@ -3099,4 +3099,14 @@
   font-weight: bold; }
 
+/* ------------------------------------------------------------------------- indicateurs */
+.mark-attach {
+  display: inline-block;
+  box-sizing: border-box;
+  width: 12px;
+  height: 12px;
+  padding-left: 12px;
+  background: url("../images/attach.svg") no-repeat;
+  filter: hue-rotate(300deg) saturate(0.64); }
+
 /* ---------------------------------------------------------------- utilisables partout  */
 .legible {
Index: admin/style/scss/partials/_classes.scss
===================================================================
--- admin/style/scss/partials/_classes.scss	(revision 3770)
+++ admin/style/scss/partials/_classes.scss	(revision 3774)
@@ -229,4 +229,24 @@
 }
 
+/* ------------------------------------------------------------------------- indicateurs */
+
+.mark {}
+
+.mark-published {}
+.mark-unpublished {}
+.mark-scheduled {}
+.mark-pending {}
+.mark-locked {}
+.mark-selected {}
+.mark-hidden {}
+.mark-attach {
+  display: inline-block;
+  box-sizing: border-box;
+  width: 12px;
+  height: 12px;
+  padding-left: 12px;
+  background: $mark-attach-img no-repeat;
+  filter: $mark-attach-filter;
+}
 
 /* ---------------------------------------------------------------- utilisables partout  */
Index: admin/style/scss/themes/_dark.scss
===================================================================
--- admin/style/scss/themes/_dark.scss	(revision 3771)
+++ admin/style/scss/themes/_dark.scss	(revision 3774)
@@ -419,4 +419,7 @@
 $offline:                         $gray-semi-dark;
 
+$mark-attach-img:                 url('../images/attach.svg');
+$mark-attach-filter:              hue-rotate(260deg) saturate(100) saturate(.2) brightness(220%);
+
 // Utils
 
Index: admin/style/scss/themes/_light.scss
===================================================================
--- admin/style/scss/themes/_light.scss	(revision 3771)
+++ admin/style/scss/themes/_light.scss	(revision 3774)
@@ -418,4 +418,7 @@
 $offline:                         $gray-dark;                         // #676e78
 
+$mark-attach-img:                 url('../images/attach.svg');
+$mark-attach-filter:              hue-rotate(300deg) saturate(.64);
+
 // Utils
 
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 3771)
+++ inc/admin/lib.pager.php	(revision 3774)
@@ -273,21 +273,21 @@
         }
 
-        $img       = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+        $img       = '<img alt="%1$s" title="%1$s" src="images/%2$s" class="mark mark-%3$s" />';
         $sts_class = '';
         switch ($this->rs->post_status) {
             case 1:
-                $img_status = sprintf($img, __('Published'), 'check-on.png');
+                $img_status = sprintf($img, __('Published'), 'check-on.png', 'published');
                 $sts_class  = 'sts-online';
                 break;
             case 0:
-                $img_status = sprintf($img, __('Unpublished'), 'check-off.png');
+                $img_status = sprintf($img, __('Unpublished'), 'check-off.png', 'unpublished');
                 $sts_class  = 'sts-offline';
                 break;
             case -1:
-                $img_status = sprintf($img, __('Scheduled'), 'scheduled.png');
+                $img_status = sprintf($img, __('Scheduled'), 'scheduled.png', 'scheduled');
                 $sts_class  = 'sts-scheduled';
                 break;
             case -2:
-                $img_status = sprintf($img, __('Pending'), 'check-wrn.png');
+                $img_status = sprintf($img, __('Pending'), 'check-wrn.png', 'pending');
                 $sts_class  = 'sts-pending';
                 break;
@@ -296,10 +296,10 @@
         $protected = '';
         if ($this->rs->post_password) {
-            $protected = sprintf($img, __('Protected'), 'locker.png');
+            $protected = sprintf($img, __('Protected'), 'locker.png', 'locked');
         }
 
         $selected = '';
         if ($this->rs->post_selected) {
-            $selected = sprintf($img, __('Selected'), 'selected.png');
+            $selected = sprintf($img, __('Selected'), 'selected.png', 'selected');
         }
 
@@ -308,5 +308,5 @@
         if ($nb_media > 0) {
             $attach_str = $nb_media == 1 ? __('%d attachment') : __('%d attachments');
-            $attach     = sprintf($img, sprintf($attach_str, $nb_media), 'attach.png');
+            $attach     = sprintf($img, sprintf($attach_str, $nb_media), 'attach.png', 'attach');
         }
 
Index: plugins/pages/class.listpage.php
===================================================================
--- plugins/pages/class.listpage.php	(revision 3731)
+++ plugins/pages/class.listpage.php	(revision 3774)
@@ -74,21 +74,21 @@
     private function postLine($count, $checked)
     {
-        $img       = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+        $img       = '<img alt="%1$s" title="%1$s" src="images/%2$s" class="mark mark-%3$s" />';
         $sts_class = '';
         switch ($this->rs->post_status) {
             case 1:
-                $img_status = sprintf($img, __('Published'), 'check-on.png');
+                $img_status = sprintf($img, __('Published'), 'check-on.png', 'published');
                 $sts_class  = 'sts-online';
                 break;
             case 0:
-                $img_status = sprintf($img, __('Unpublished'), 'check-off.png');
+                $img_status = sprintf($img, __('Unpublished'), 'check-off.png', 'unpublished');
                 $sts_class  = 'sts-offline';
                 break;
             case -1:
-                $img_status = sprintf($img, __('Scheduled'), 'scheduled.png');
+                $img_status = sprintf($img, __('Scheduled'), 'scheduled.png', 'scheduled');
                 $sts_class  = 'sts-scheduled';
                 break;
             case -2:
-                $img_status = sprintf($img, __('Pending'), 'check-wrn.png');
+                $img_status = sprintf($img, __('Pending'), 'check-wrn.png', 'pending');
                 $sts_class  = 'sts-pending';
                 break;
@@ -97,10 +97,10 @@
         $protected = '';
         if ($this->rs->post_password) {
-            $protected = sprintf($img, __('Protected'), 'locker.png');
+            $protected = sprintf($img, __('Protected'), 'locker.png', 'locked');
         }
 
         $selected = '';
         if ($this->rs->post_selected) {
-            $selected = sprintf($img, __('Hidden'), 'hidden.png');
+            $selected = sprintf($img, __('Hidden'), 'hidden.png', 'hidden');
         }
 
@@ -109,5 +109,5 @@
         if ($nb_media > 0) {
             $attach_str = $nb_media == 1 ? __('%d attachment') : __('%d attachments');
-            $attach     = sprintf($img, sprintf($attach_str, $nb_media), 'attach.png');
+            $attach     = sprintf($img, sprintf($attach_str, $nb_media), 'attach.png', 'attach');
         }
 