Index: locales/de/main.po
===================================================================
--- locales/de/main.po	(revision 3632)
+++ locales/de/main.po	(revision 3784)
@@ -6,5 +6,5 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-07-24 11:23+0200\n"
+"POT-Creation-Date: 2018-07-26 16:09+0200\n"
 "PO-Revision-Date: 2017-12-22 19:46+0100\n"
 "Last-Translator: Tin2 <sort300-blog@yahoo.com>\n"
@@ -140,4 +140,7 @@
 msgstr "Pflichtfeld"
 
+msgid "Blog ID"
+msgstr "Blog-ID"
+
 msgid "At least 2 characters using letters, numbers or symbols."
 msgstr "Benutze mindestens zwei Buchstaben, Zahlen oder Symbole."
@@ -146,5 +149,12 @@
 msgstr "Name des Blogs:"
 
+msgid "Blog name"
+msgstr "Blog-Name"
+
 msgid "Blog URL:"
+msgstr "URL des Blogs:"
+
+#, fuzzy
+msgid "Blog URL"
 msgstr "URL des Blogs:"
 
@@ -396,4 +406,7 @@
 
 msgid "Be carefull if you share it with other blogs in your installation."
+msgstr ""
+
+msgid "Set -1 to use the default size, set 0 to ignore this thumbnail size (images only)."
 msgstr ""
 
@@ -620,10 +633,4 @@
 msgstr "Letztes Update"
 
-msgid "Blog name"
-msgstr "Blog-Name"
-
-msgid "Blog ID"
-msgstr "Blog-ID"
-
 msgid "Status"
 msgstr "Status"
@@ -711,7 +718,5 @@
 #, fuzzy
 msgid "The category has been successfully removed."
-msgid_plural "The categories have been successfully removed."
-msgstr[0] "Die Kategorie wurde erfolgreich entfernt."
-msgstr[1] "Die Kategorie wurde erfolgreich entfernt."
+msgstr "Die Kategorie wurde erfolgreich entfernt."
 
 #, fuzzy
@@ -781,4 +786,7 @@
 msgid "Name:"
 msgstr "Name:"
+
+msgid "Name"
+msgstr "Name"
 
 msgid "Parent:"
@@ -872,4 +880,7 @@
 msgstr "Autor:"
 
+msgid "Author"
+msgstr "Autor"
+
 msgid "Web site:"
 msgstr "Website:"
@@ -895,7 +906,4 @@
 msgid "Entry date"
 msgstr "Datum  des Eintrags"
-
-msgid "Author"
-msgstr "Autor"
 
 msgid "IP"
@@ -950,10 +958,4 @@
 msgstr[1] "%s Aktualisierungen sind verfügbar."
 
-msgid "Dotclear news"
-msgstr "Dotclear News"
-
-msgid "%d %B %Y:"
-msgstr "%d.%m.%Y"
-
 msgid "Documentation and support"
 msgstr "Dokumentation und Unterstützung"
@@ -962,25 +964,4 @@
 msgstr "Dashboard"
 
-#, php-format
-msgid "Dotclear %s is available!"
-msgstr "Dotclear %s ist erhältlich!"
-
-msgid "Upgrade now"
-msgstr "Jetzt aktualisieren"
-
-msgid "Remind me later"
-msgstr "Erinnere mich später"
-
-msgid "Information about this version"
-msgstr "Information über diese Version"
-
-#, php-format
-msgid "A new version of Dotclear is available but needs PHP version ≥ %s, your's is currently %s"
-msgstr "Es ist eine neue Version von Dotclear verfügbar, die benötigt PHP ≥ %s, die aktuelle Version ist %s"
-
-#, php-format
-msgid "The next versions of Dotclear will not support PHP version < %s, your's is currently %s"
-msgstr "Die nächsten Versionen von Dotclear unterstützt PHP-Version < %s nicht, die aktuelle ist %s"
-
 msgid "Make this blog my default blog"
 msgstr "Mache diesen Blog zu meiner Vorgabe"
@@ -1035,4 +1016,8 @@
 msgstr "Inhalt:"
 
+#, fuzzy
+msgid "Content"
+msgstr "Inhalt:"
+
 msgid "Category:"
 msgstr "Kategorie:"
@@ -1047,6 +1032,6 @@
 msgstr "Speichern und veröffentlichen"
 
-#, php-format
-msgid "PHP version is %s (5.3 or earlier needed)."
+#, fuzzy, php-format
+msgid "PHP version is %s (5.5 or earlier needed)."
 msgstr "PHP Version ist %s (5.3 oder höher erforderlich)."
 
@@ -1182,4 +1167,10 @@
 msgstr "Benutzername und Passwort"
 
+msgid "Username"
+msgstr "Benutzername"
+
+msgid "Password"
+msgstr "Passwort"
+
 msgid "All done!"
 msgstr "Erledigt!"
@@ -1262,4 +1253,7 @@
 msgstr "MySQLi"
 
+msgid "MySQLi (full UTF-8)"
+msgstr ""
+
 msgid "PostgreSQL"
 msgstr "PostgreSQL"
@@ -1268,4 +1262,7 @@
 msgstr "SQLite"
 
+msgid "Driver"
+msgstr ""
+
 msgid "Database Host Name:"
 msgstr "Datenbank-Host:"
@@ -1282,4 +1279,7 @@
 msgid "Database Tables Prefix:"
 msgstr "Datenbank-Tabellenpräfix:"
+
+msgid "Prefix"
+msgstr ""
 
 msgid "Master Email: (used as sender for password recovery)"
@@ -1524,9 +1524,14 @@
 msgstr "Medienliste"
 
-msgid "Name"
-msgstr "Name"
-
 msgid "Size"
 msgstr "Größe"
+
+#, php-format
+msgid "Nb of items: %d → %d folder(s) + %d file(s)"
+msgstr ""
+
+#, php-format
+msgid "Nb of items: %d"
+msgstr ""
 
 #, php-format
@@ -1836,4 +1841,7 @@
 msgstr "Link URL:"
 
+msgid "URL"
+msgstr "URL"
+
 msgid "Link title:"
 msgstr "Link-Titel:"
@@ -1979,7 +1987,4 @@
 msgstr "Trackbacks sind auf diesem Blog leider nicht möglich."
 
-msgid "Password"
-msgstr "Passwort"
-
 msgid "Edit basename"
 msgstr "Basisname editieren:"
@@ -2197,4 +2202,8 @@
 msgid "Interface"
 msgstr "Interface"
+
+#, fuzzy
+msgid "Activate dark mode"
+msgstr "Adpative Schriftgröße aktivieren"
 
 msgid "Activate enhanced uploader in media manager"
@@ -2211,4 +2220,10 @@
 msgstr "Alle sekundären Informationen und Hinweise zu verbergen"
 
+msgid "Hide help button"
+msgstr ""
+
+msgid "Show asynchronous requests indicator"
+msgstr ""
+
 msgid "Font size:"
 msgstr "Schriftgrösse:"
@@ -2371,4 +2386,51 @@
 msgstr "%d Kommentare gefunden"
 
+#, php-format
+msgid "%d post"
+msgid_plural "%d posts"
+msgstr[0] "%d Eintrag"
+msgstr[1] "%d Einträge"
+
+#, php-format
+msgid "%d comment"
+msgid_plural "%d comments"
+msgstr[0] "%d Kommentar"
+msgstr[1] "%d Kommentare"
+
+#, fuzzy
+msgid "Dotclear news not available"
+msgstr "Dotclear %s ist erhältlich!"
+
+msgid "Dotclear news"
+msgstr "Dotclear News"
+
+msgid "%d %B %Y:"
+msgstr "%d.%m.%Y"
+
+#, fuzzy
+msgid "Dotclear update not available"
+msgstr "Dotclear %s ist erhältlich!"
+
+#, php-format
+msgid "Dotclear %s is available!"
+msgstr "Dotclear %s ist erhältlich!"
+
+msgid "Upgrade now"
+msgstr "Jetzt aktualisieren"
+
+msgid "Remind me later"
+msgstr "Erinnere mich später"
+
+msgid "Information about this version"
+msgstr "Information über diese Version"
+
+#, php-format
+msgid "A new version of Dotclear is available but needs PHP version ≥ %s, your's is currently %s"
+msgstr "Es ist eine neue Version von Dotclear verfügbar, die benötigt PHP ≥ %s, die aktuelle Version ist %s"
+
+#, php-format
+msgid "The next versions of Dotclear will not support PHP version < %s, your's is currently %s"
+msgstr "Die nächsten Versionen von Dotclear unterstützt PHP-Version < %s nicht, die aktuelle ist %s"
+
 msgid "Dotclear update"
 msgstr "Dotclear-Aktualisierung"
@@ -2465,4 +2527,8 @@
 msgstr "Benutzer-ID:"
 
+#, fuzzy
+msgid "Login"
+msgstr "Login:"
+
 msgid "Warning:"
 msgstr "Achtung:"
@@ -2499,7 +2565,4 @@
 msgstr "%s ist Super Admin (alle Rechte für alle Blogs)."
 
-msgid "Username"
-msgstr "Benutzername"
-
 msgid "Last Name"
 msgstr "Nachname"
@@ -2547,7 +2610,4 @@
 msgid "No blog"
 msgstr "Kein Blog"
-
-msgid "URL"
-msgstr "URL"
 
 msgid "select"
@@ -2726,16 +2786,4 @@
 msgstr "Sprachen"
 
-#, php-format
-msgid "%d post"
-msgid_plural "%d posts"
-msgstr[0] "%d Eintrag"
-msgstr[1] "%d Einträge"
-
-#, php-format
-msgid "%d comment"
-msgid_plural "%d comments"
-msgstr[0] "%d Kommentar"
-msgstr[1] "%d Kommentare"
-
 msgid "Change blog"
 msgstr "Ändere Blog"
@@ -3062,4 +3110,8 @@
 
 #, php-format
+msgid " (%s)"
+msgstr ""
+
+#, php-format
 msgid "This module cannot be disabled nor deleted, since the following modules are also enabled : %s"
 msgstr ""
@@ -3747,4 +3799,16 @@
 msgstr "Falsch eingestellter Namespace: %s"
 
+msgid "SQL SELECT requires a FROM source"
+msgstr ""
+
+msgid "SQL DELETE requires a FROM source"
+msgstr ""
+
+msgid "SQL UPDATE requires an INTO source"
+msgstr ""
+
+msgid "SQL INSERT requires an INTO source"
+msgstr ""
+
 #, fuzzy
 msgid "Failed to read data feed"
@@ -3860,144 +3924,4 @@
 msgstr "Selbst-Aktualisierung misslungen:"
 
-msgid "Unable to open directory."
-msgstr "Kann Verzeichnis nicht öffnen."
-
-msgid "Unable to create directory."
-msgstr "Kann Verzeichnis nicht anlegen."
-
-msgid "File is not writable."
-msgstr "Datei ist nicht beschreibbar."
-
-msgid "Unable to open file."
-msgstr "Datei konnte nicht geöffnet werden."
-
-msgid "Not an uploaded file."
-msgstr "Keine hochgeladene Datei."
-
-msgid "The uploaded file exceeds the maximum file size allowed."
-msgstr "Die hochgeladene Datei überschreitet die maximal erlaubte Dateigröße."
-
-msgid "The uploaded file was only partially uploaded."
-msgstr "Die Datei wurde nur teilweise hochgeladen."
-
-msgid "No file was uploaded."
-msgstr "Keine Datei hochgeladen."
-
-msgid "Missing a temporary folder."
-msgstr "Temporäres Verzeichnis fehlt."
-
-msgid "Failed to write file to disk."
-msgstr "Fehler beim Schreiben der Datei auf den Speicher."
-
-msgid "A PHP extension stopped the file upload."
-msgstr ""
-
-#, php-format
-msgid "%s is not a directory."
-msgstr "%s ist kein Verzeichnis."
-
-msgid "Bad range"
-msgstr "Falscher Bereich"
-
-msgid "Invalid range"
-msgstr "Ungültiger Bereich"
-
-msgid "Invalid line number"
-msgstr "Ungültige Zeilennummer"
-
-msgid "Chunk is out of range"
-msgstr "Außerhalb des Bereichs"
-
-msgid "Bad context"
-msgstr "Falscher Kontext"
-
-msgid "Bad context (in deletion)"
-msgstr "Schlechte Kontext (beim Löschen)"
-
-msgid "Invalid diff format"
-msgstr "Ungültiges Diff Format"
-
-msgid "Uploading this file is not allowed."
-msgstr "Hochladen dieser Datei ist nicht erlaubt."
-
-msgid "Destination directory is not in jail."
-msgstr "Ziel-Verzeichnis ist nicht im gesicherten Bereich."
-
-msgid "File already exists."
-msgstr "Datei ist schon vorhanden."
-
-msgid "Cannot write in this directory."
-msgstr "Kann nicht in dieses Verzeichnis schreiben."
-
-msgid "Source file does not exist."
-msgstr "Quelle-Datei ist nicht vorhanden."
-
-msgid "File is not in jail."
-msgstr "Datei ist nicht im gesicherten Bereich."
-
-msgid "Destination directory is not writable."
-msgstr "Ziel-Verzeichnis ist nicht beschreibbar."
-
-msgid "Unable to rename file."
-msgstr "Datei kann nicht umbenannt werden."
-
-msgid "File cannot be removed."
-msgstr "Datei kann nicht entfernen werden."
-
-msgid "Directory is not in jail."
-msgstr "Verzeichnis ist nicht im gesicherten Bereich."
-
-msgid "Directory cannot be removed."
-msgstr "Verzeichnis kann nicht entfernt werden."
-
-msgid "Not enough memory to open image."
-msgstr "Nicht genug Speicher zum Öffnen der Grafik."
-
-#, php-format
-msgid "Did not find closing tag for block <tpl:%s>. Content has been ignored."
-msgstr ""
-
-#, php-format
-msgid "Unexpected closing tag </tpl:%s> found."
-msgstr ""
-
-#, fuzzy
-msgid "WARNING: the following errors have been found while parsing template file :"
-msgstr "Bei dem Versuch, Deine Datenbank zu lesen, trat folgender Fehler auf:"
-
-msgid "singular"
-msgid_plural "plural"
-msgstr[0] "Einzahl"
-msgstr[1] "Mehrzahl"
-
-#, php-format
-msgid "File %s is not compressed in the zip."
-msgstr "Datei %s ist nicht ZIP-komprimiert."
-
-#, php-format
-msgid "Trying to unzip a folder name %s"
-msgstr "Versuche das Verzeichnis %s zu entpacken"
-
-msgid "Unable to write destination file."
-msgstr "Kann Ziel-Verzeichnis nicht anlegen."
-
-msgid "Unable to write in target directory, permission denied."
-msgstr "Kann nicht in Ziel-Verzeichnis schreiben; Zugriff verweigert."
-
-msgid "Not enough memory to open file."
-msgstr "Nicht genug Speicher zum Öffnen der Datei."
-
-msgid "File does not exist"
-msgstr "Datei ist nicht vorhanden"
-
-msgid "Cannot read file"
-msgstr "Kann Datei nicht lesen"
-
-msgid "Directory does not exist"
-msgstr "Verzeichnis ist nicht vorhanden"
-
-msgid "Cannot read directory"
-msgstr "Kann Verzeichnis nicht anlegen"
-
 msgid "Site temporarily unavailable"
 msgstr "Zur Zeit offline"
@@ -4015,4 +3939,130 @@
 msgid "The following error was encountered while trying to read the database:"
 msgstr "Bei dem Versuch, Deine Datenbank zu lesen, trat folgender Fehler auf:"
+
+#~ msgid "Unable to open directory."
+#~ msgstr "Kann Verzeichnis nicht öffnen."
+
+#~ msgid "Unable to create directory."
+#~ msgstr "Kann Verzeichnis nicht anlegen."
+
+#~ msgid "File is not writable."
+#~ msgstr "Datei ist nicht beschreibbar."
+
+#~ msgid "Unable to open file."
+#~ msgstr "Datei konnte nicht geöffnet werden."
+
+#~ msgid "Not an uploaded file."
+#~ msgstr "Keine hochgeladene Datei."
+
+#~ msgid "The uploaded file exceeds the maximum file size allowed."
+#~ msgstr "Die hochgeladene Datei überschreitet die maximal erlaubte Dateigröße."
+
+#~ msgid "The uploaded file was only partially uploaded."
+#~ msgstr "Die Datei wurde nur teilweise hochgeladen."
+
+#~ msgid "No file was uploaded."
+#~ msgstr "Keine Datei hochgeladen."
+
+#~ msgid "Missing a temporary folder."
+#~ msgstr "Temporäres Verzeichnis fehlt."
+
+#~ msgid "Failed to write file to disk."
+#~ msgstr "Fehler beim Schreiben der Datei auf den Speicher."
+
+#~ msgid "%s is not a directory."
+#~ msgstr "%s ist kein Verzeichnis."
+
+#~ msgid "Bad range"
+#~ msgstr "Falscher Bereich"
+
+#~ msgid "Invalid range"
+#~ msgstr "Ungültiger Bereich"
+
+#~ msgid "Invalid line number"
+#~ msgstr "Ungültige Zeilennummer"
+
+#~ msgid "Chunk is out of range"
+#~ msgstr "Außerhalb des Bereichs"
+
+#~ msgid "Bad context"
+#~ msgstr "Falscher Kontext"
+
+#~ msgid "Bad context (in deletion)"
+#~ msgstr "Schlechte Kontext (beim Löschen)"
+
+#~ msgid "Invalid diff format"
+#~ msgstr "Ungültiges Diff Format"
+
+#~ msgid "Uploading this file is not allowed."
+#~ msgstr "Hochladen dieser Datei ist nicht erlaubt."
+
+#~ msgid "Destination directory is not in jail."
+#~ msgstr "Ziel-Verzeichnis ist nicht im gesicherten Bereich."
+
+#~ msgid "File already exists."
+#~ msgstr "Datei ist schon vorhanden."
+
+#~ msgid "Cannot write in this directory."
+#~ msgstr "Kann nicht in dieses Verzeichnis schreiben."
+
+#~ msgid "Source file does not exist."
+#~ msgstr "Quelle-Datei ist nicht vorhanden."
+
+#~ msgid "File is not in jail."
+#~ msgstr "Datei ist nicht im gesicherten Bereich."
+
+#~ msgid "Destination directory is not writable."
+#~ msgstr "Ziel-Verzeichnis ist nicht beschreibbar."
+
+#~ msgid "Unable to rename file."
+#~ msgstr "Datei kann nicht umbenannt werden."
+
+#~ msgid "File cannot be removed."
+#~ msgstr "Datei kann nicht entfernen werden."
+
+#~ msgid "Directory is not in jail."
+#~ msgstr "Verzeichnis ist nicht im gesicherten Bereich."
+
+#~ msgid "Directory cannot be removed."
+#~ msgstr "Verzeichnis kann nicht entfernt werden."
+
+#~ msgid "Not enough memory to open image."
+#~ msgstr "Nicht genug Speicher zum Öffnen der Grafik."
+
+#, fuzzy
+#~ msgid "WARNING: the following errors have been found while parsing template file :"
+#~ msgstr "Bei dem Versuch, Deine Datenbank zu lesen, trat folgender Fehler auf:"
+
+#~ msgid "singular"
+#~ msgid_plural "plural"
+#~ msgstr[0] "Einzahl"
+#~ msgstr[1] "Mehrzahl"
+
+#~ msgid "File %s is not compressed in the zip."
+#~ msgstr "Datei %s ist nicht ZIP-komprimiert."
+
+#~ msgid "Trying to unzip a folder name %s"
+#~ msgstr "Versuche das Verzeichnis %s zu entpacken"
+
+#~ msgid "Unable to write destination file."
+#~ msgstr "Kann Ziel-Verzeichnis nicht anlegen."
+
+#~ msgid "Unable to write in target directory, permission denied."
+#~ msgstr "Kann nicht in Ziel-Verzeichnis schreiben; Zugriff verweigert."
+
+#~ msgid "Not enough memory to open file."
+#~ msgstr "Nicht genug Speicher zum Öffnen der Datei."
+
+#~ msgid "File does not exist"
+#~ msgstr "Datei ist nicht vorhanden"
+
+#~ msgid "Cannot read file"
+#~ msgstr "Kann Datei nicht lesen"
+
+#~ msgid "Directory does not exist"
+#~ msgstr "Verzeichnis ist nicht vorhanden"
+
+#~ msgid "Cannot read directory"
+#~ msgstr "Kann Verzeichnis nicht anlegen"
 
 #, fuzzy
@@ -4348,7 +4398,4 @@
 #~ msgstr "Die Datei <strong>%s</strong> existiert bereits. Wenn du Einträge in der Konfigurationsdatei zurücksetzen musst, bitte lösche diese Datei zuerst oder fahre mit <a href=\"%s\">der Installation</a> fort."
 
-#~ msgid "Login:"
-#~ msgstr "Login:"
-
 #~ msgid "Login and password"
 #~ msgstr "Login und Passwort:"