Index: admin/style/scss/partials/_index.scss
===================================================================
--- admin/style/scss/partials/_index.scss	(revision 3838)
+++ admin/style/scss/partials/_index.scss	(revision 3839)
@@ -1,157 +1,142 @@
 #dashboard-main {
-	text-align: center;
+  text-align: center;
+  & > *:last-child {
+    margin-bottom: 1em;
+  }
 }
-
-
 /* raccourcis */
 
 #icons {
   margin: 1em auto 2em;
-	display: flex;
-	flex-wrap: wrap;
-	justify-content: center;
-	p {
-		width: 13em;
-		margin: 1em 0 2em;
+  display: flex;
+  flex-wrap: wrap;
+  justify-content: center;
+  p {
+    width: 13em;
+    margin: 1em 0 2em;
     display: flex;
     flex-direction: column;
     justify-content: flex-start;
     align-items: center;
-	}
-	a {
-		&,
-		&:link,
-		&:visited,
-		&:hover,
-		&:focus {
-			border-bottom-width: 0;
-			text-decoration: none;
-		}
-		span {
+  }
+  a {
+    &, &:link, &:visited, &:hover, &:focus {
+      border-bottom-width: 0;
+      text-decoration: none;
+    }
+    span {
       color: $index-link-color;
-			border-bottom: 1px dotted $index-link-border;
-		}
-		img {
-			padding: 1.5em;
-			background-color: $index-icon-background;
-			border-radius: 8px;
-			border: 1px solid $index-icon-border;
-			display: inline-block;
+      border-bottom: 1px dotted $index-link-border;
+    }
+    img {
+      padding: 1.5em;
+      background-color: $index-icon-background;
+      border-radius: 8px;
+      border: 1px solid $index-icon-border;
+      display: inline-block;
       filter: contrast($index-icon-contrast);
-		}
-		&:focus {
-			outline: 0;
-			span {
-				border: 2px solid $index-icon-outline;
-			}
-		}
-		&:focus,
-		&:hover {
-			img {
-				background: $index-icon-outline;
-				outline: 0;
-				border-color: $index-icon-border;
-			}
-			span {
-				border-bottom-style: solid;
-			}
-		}
-	}
+    }
+    &:focus {
+      outline: 0;
+      span {
+        border: 2px solid $index-icon-outline;
+      }
+    }
+    &:focus, &:hover {
+      img {
+        background: $index-icon-outline;
+        outline: 0;
+        border-color: $index-icon-border;
+      }
+      span {
+        border-bottom-style: solid;
+      }
+    }
+  }
 }
-
-
 /* billet rapide */
 
 #quick {
-	max-width: 72em;
+  max-width: 72em;
   margin: 1em auto 2em;
   padding: 1em;
-	background: $quick-background;
+  background: $quick-background;
   border: 1px solid $quick-border;
-	text-align: left;
-	h3 {
-		margin-bottom: 0.2em;
-		font-size: 1.2em;
-	}
-	p.qinfo {
-		margin: -.7em -1em 1em;
-		background: $quick-info-background url(msg-info.png) no-repeat .2em .2em;
-		border: 1px solid $quick-info-border;
-		padding: .2em 1em .1em 24px;
-		color: $quick-info-color;
-	}
-	#new_cat,
-	.q-cat,
-	.q-cat label {
-		display: inline-block;
-		vertical-align: top;
-		margin-right: 1em;
-		margin-top: 0;
-	}
-	.q-cat label {
-		margin-right: .3em;
-	}
-	#new_cat {
-		margin-bottom: 2em;
-	}
+  text-align: left;
+  h3 {
+    margin-bottom: 0.2em;
+    font-size: 1.2em;
+  }
+  p.qinfo {
+    margin: -.7em -1em 1em;
+    background: $quick-info-background url(msg-info.png) no-repeat .2em .2em;
+    border: 1px solid $quick-info-border;
+    padding: .2em 1em .1em 24px;
+    color: $quick-info-color;
+  }
+  #new_cat, .q-cat, .q-cat label {
+    display: inline-block;
+    vertical-align: top;
+    margin-right: 1em;
+    margin-top: 0;
+  }
+  .q-cat label {
+    margin-right: .3em;
+  }
+  #new_cat {
+    margin-bottom: 2em;
+  }
 }
-
-
 /* modules additionnels */
 
 #dashboard-boxes {
-	margin: 1em auto 2em;
-	display: flex;
-	flex-wrap: wrap;
-	justify-content: center;
-	.box {
-		padding: 10px;
-		border: 1px solid $index-box-border;
-		border-radius: 3px;
-		min-height: 200px;
-		margin: 10px;
-		text-align: left;
-	}
+  margin: 1em auto 2em;
+  display: flex;
+  flex-wrap: wrap;
+  justify-content: center;
+  .box {
+    padding: 10px;
+    border: 1px solid $index-box-border;
+    border-radius: 3px;
+    min-height: 200px;
+    margin: 10px;
+    text-align: left;
+  }
 }
-
-.db-items,
-.db-contents {
-	//	display: inline-block;
-	//	text-align: center;
-	display: flex;
-	flex-wrap: wrap;
-	justify-content: center;
-	flex: 1 1 auto;
-	img {
-		vertical-align: middle;
-	}
-	ul {
-		display: block;
-		padding-left: 1.5em;
-		list-style: square;
-	}
-	li {
-		margin: 0.25em 0 0 0;
-	}
+.db-items, .db-contents {
+  //  display: inline-block;
+  //  text-align: center;
+  display: flex;
+  flex-wrap: wrap;
+  justify-content: center;
+  flex: 1 1 auto;
+  img {
+    vertical-align: middle;
+  }
+  ul {
+    display: block;
+    padding-left: 1.5em;
+    list-style: square;
+  }
+  li {
+    margin: 0.25em 0 0 0;
+  }
 }
-
 .no-js .outgoing img {
-	display: none;
+  display: none;
 }
-
 .dc-box {
-	background: transparent url(dc_logos/sq-logo-32.png) no-repeat top right;
+  background: transparent url(dc_logos/sq-logo-32.png) no-repeat top right;
 }
-
 #news {
-	dt {
-		font-weight: bold;
-		margin: 0 0 0.4em 0;
-	}
-	dd {
-		margin: 0 0 1em 0;
-		p {
-			margin: 0.2em 0 0 0;
-		}
-	}
+  dt {
+    font-weight: bold;
+    margin: 0 0 0.4em 0;
+  }
+  dd {
+    margin: 0 0 1em 0;
+    p {
+      margin: 0.2em 0 0 0;
+    }
+  }
 }