Index: inc/public/default-templates/dotty/password-form.html
===================================================================
--- inc/public/default-templates/dotty/password-form.html	(revision 3455)
+++ inc/public/default-templates/dotty/password-form.html	(revision 3847)
@@ -42,5 +42,5 @@
 				<input type="password" name="password" value="" />
 			</label>
-			<input type="submit" value="ok" />
+			<input type="submit" value="ok" title="{{tpl:lang Access to content}}" />
 		</p>
 	</form>
Index: inc/public/default-templates/dotty/post.html
===================================================================
--- inc/public/default-templates/dotty/post.html	(revision 3422)
+++ inc/public/default-templates/dotty/post.html	(revision 3847)
@@ -36,22 +36,16 @@
 
 <tpl:Block name="main-content">
-	<nav class="navlinks topnl">
-		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
-		 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
+	<nav class="navlinks topnl" role="navigation" aria-label="{{tpl:lang Entries}}">
+		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}" class="prev"><span aria-hidden="true">&#171; </span><span class="sr">{{tpl:lang Previous entry:}} </span>{{tpl:EntryTitle encode_html="1"
 		 cut_string="50"}}</a></tpl:EntryPrevious>
-		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
-		 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
-		 cut_string="50"}} &#187;</a></tpl:EntryNext>
+		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}" class="next"><span class="sr">{{tpl:lang Next entry:}} </span>{{tpl:EntryTitle encode_html="1" cut_string="50"}}<span aria-hidden="true"> &#187;</span></a></tpl:EntryNext>
 	</nav>
 
 	{{tpl:include src="_simple-entry.html"}}
 
-	<nav class="navlinks">
-		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
-		 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
+	<nav class="navlinks" role="navigation" aria-label="{{tpl:lang Entries}}">
+		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}" class="prev"><span aria-hidden="true">&#171; </span><span class="sr">{{tpl:lang Previous entry:}} </span>{{tpl:EntryTitle encode_html="1"
 		 cut_string="50"}}</a></tpl:EntryPrevious>
-		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
-		 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
-		 cut_string="50"}} &#187;</a></tpl:EntryNext>
+		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}" class="next"><span class="sr">{{tpl:lang Next entry:}} </span>{{tpl:EntryTitle encode_html="1" cut_string="50"}}<span aria-hidden="true"> &#187;</span></a></tpl:EntryNext>
 	</nav>
 </tpl:Block>
Index: locales/fr/public.po
===================================================================
--- locales/fr/public.po	(revision 3686)
+++ locales/fr/public.po	(revision 3847)
@@ -68,4 +68,7 @@
 msgstr "%d annexes"
 
+msgid "Previous entry:"
+msgstr "Billet précédent :"
+
 msgid "previous entries"
 msgstr "billets précédents"
@@ -77,4 +80,10 @@
 msgstr "de"
 
+msgid "Entries"
+msgstr "Billets"
+
+msgid "Next entry:"
+msgstr "Billet suivant :"
+
 msgid "next entries"
 msgstr "billets suivants"
@@ -251,4 +260,7 @@
 msgstr "Mot de passe :"
 
+msgid "Access to content"
+msgstr "Accéder au contenu"
+
 msgid "You must provide a valid email address."
 msgstr "Vous devez indiquer une adresse e-mail valide."
Index: themes/berlin/scss/partials/_common.scss
===================================================================
--- themes/berlin/scss/partials/_common.scss	(revision 2640)
+++ themes/berlin/scss/partials/_common.scss	(revision 3847)
@@ -117,2 +117,13 @@
 }
 ul ul, ul ol, ol ol, ol ul { margin-top: .5em; }
+/* a11y */
+.sr {
+  border: 0;
+  clip: rect(0 0 0 0);
+  height: 1px;
+  margin: -1px;
+  overflow: hidden;
+  padding: 0;
+  position: absolute;
+  width: 1px;
+}
Index: themes/berlin/style.css
===================================================================
--- themes/berlin/style.css	(revision 3760)
+++ themes/berlin/style.css	(revision 3847)
@@ -321,4 +321,15 @@
 ul ul, ul ol, ol ol, ol ul {
   margin-top: .5em; }
+
+/* a11y */
+.sr {
+  border: 0;
+  clip: rect(0 0 0 0);
+  height: 1px;
+  margin: -1px;
+  overflow: hidden;
+  padding: 0;
+  position: absolute;
+  width: 1px; }
 
 .post-date,