Index: locales/_pot/plugins.pot
===================================================================
--- locales/_pot/plugins.pot	(revision 3784)
+++ locales/_pot/plugins.pot	(revision 3953)
@@ -2320,5 +2320,5 @@
 
 #: plugins/simpleMenu/_public.php:129 plugins/simpleMenu/_public.php:139
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/bn/plugins.po
===================================================================
--- locales/bn/plugins.po	(revision 3784)
+++ locales/bn/plugins.po	(revision 3953)
@@ -1642,5 +1642,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/ca/plugins.po
===================================================================
--- locales/ca/plugins.po	(revision 3784)
+++ locales/ca/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/cs/plugins.po
===================================================================
--- locales/cs/plugins.po	(revision 3784)
+++ locales/cs/plugins.po	(revision 3953)
@@ -1706,5 +1706,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/da/plugins.po
===================================================================
--- locales/da/plugins.po	(revision 3784)
+++ locales/da/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/de/plugins.po
===================================================================
--- locales/de/plugins.po	(revision 3784)
+++ locales/de/plugins.po	(revision 3953)
@@ -1624,5 +1624,5 @@
 msgstr "Einfach Menü"
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/el/plugins.po
===================================================================
--- locales/el/plugins.po	(revision 3784)
+++ locales/el/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/en/plugins.po
===================================================================
--- locales/en/plugins.po	(revision 3817)
+++ locales/en/plugins.po	(revision 3953)
@@ -1626,5 +1626,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/eo/plugins.po
===================================================================
--- locales/eo/plugins.po	(revision 3784)
+++ locales/eo/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/es-ar/plugins.po
===================================================================
--- locales/es-ar/plugins.po	(revision 3784)
+++ locales/es-ar/plugins.po	(revision 3953)
@@ -1705,5 +1705,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/es/plugins.po
===================================================================
--- locales/es/plugins.po	(revision 3784)
+++ locales/es/plugins.po	(revision 3953)
@@ -1708,5 +1708,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/eu/plugins.po
===================================================================
--- locales/eu/plugins.po	(revision 3784)
+++ locales/eu/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/fi/plugins.po
===================================================================
--- locales/fi/plugins.po	(revision 3784)
+++ locales/fi/plugins.po	(revision 3953)
@@ -1621,5 +1621,5 @@
 msgstr "Yksinkertainen valikko"
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 3817)
+++ locales/fr/plugins.po	(revision 3953)
@@ -1633,6 +1633,6 @@
 msgstr "Menu simple"
 
-msgid "the link will open a new window"
-msgstr "Ce lien s'ouvrira dans une nouvelle fenêtre"
+msgid "new window"
+msgstr "nouvelle fenêtre"
 
 msgid "Active page"
Index: locales/hu/plugins.po
===================================================================
--- locales/hu/plugins.po	(revision 3784)
+++ locales/hu/plugins.po	(revision 3953)
@@ -1711,5 +1711,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/it/plugins.po
===================================================================
--- locales/it/plugins.po	(revision 3784)
+++ locales/it/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/ja/plugins.po
===================================================================
--- locales/ja/plugins.po	(revision 3784)
+++ locales/ja/plugins.po	(revision 3953)
@@ -1708,5 +1708,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/ko/plugins.po
===================================================================
--- locales/ko/plugins.po	(revision 3784)
+++ locales/ko/plugins.po	(revision 3953)
@@ -1712,5 +1712,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/lt/plugins.po
===================================================================
--- locales/lt/plugins.po	(revision 3784)
+++ locales/lt/plugins.po	(revision 3953)
@@ -1704,5 +1704,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/nl/plugins.po
===================================================================
--- locales/nl/plugins.po	(revision 3784)
+++ locales/nl/plugins.po	(revision 3953)
@@ -1635,5 +1635,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/oc/plugins.po
===================================================================
--- locales/oc/plugins.po	(revision 3784)
+++ locales/oc/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/pl/plugins.po
===================================================================
--- locales/pl/plugins.po	(revision 3784)
+++ locales/pl/plugins.po	(revision 3953)
@@ -1705,5 +1705,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/pt-br/plugins.po
===================================================================
--- locales/pt-br/plugins.po	(revision 3784)
+++ locales/pt-br/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/pt/plugins.po
===================================================================
--- locales/pt/plugins.po	(revision 3784)
+++ locales/pt/plugins.po	(revision 3953)
@@ -1708,5 +1708,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/ro/plugins.po
===================================================================
--- locales/ro/plugins.po	(revision 3784)
+++ locales/ro/plugins.po	(revision 3953)
@@ -1663,5 +1663,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/ru/plugins.po
===================================================================
--- locales/ru/plugins.po	(revision 3784)
+++ locales/ru/plugins.po	(revision 3953)
@@ -1707,5 +1707,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/sr/plugins.po
===================================================================
--- locales/sr/plugins.po	(revision 3784)
+++ locales/sr/plugins.po	(revision 3953)
@@ -1625,5 +1625,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/sv/plugins.po
===================================================================
--- locales/sv/plugins.po	(revision 3784)
+++ locales/sv/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/te/plugins.po
===================================================================
--- locales/te/plugins.po	(revision 3784)
+++ locales/te/plugins.po	(revision 3953)
@@ -1662,5 +1662,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/tr/plugins.po
===================================================================
--- locales/tr/plugins.po	(revision 3784)
+++ locales/tr/plugins.po	(revision 3953)
@@ -1643,5 +1643,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/uk/plugins.po
===================================================================
--- locales/uk/plugins.po	(revision 3784)
+++ locales/uk/plugins.po	(revision 3953)
@@ -1623,5 +1623,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: locales/zh-cn/plugins.po
===================================================================
--- locales/zh-cn/plugins.po	(revision 3784)
+++ locales/zh-cn/plugins.po	(revision 3953)
@@ -1705,5 +1705,5 @@
 msgstr ""
 
-msgid "the link will open a new window"
+msgid "new window"
 msgstr ""
 
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 3951)
+++ plugins/simpleMenu/_public.php	(revision 3953)
@@ -127,5 +127,5 @@
                     if (($description == 'title' || $description == 'both') && $targetBlank) {
                         $title = html::escapeHTML(__($m['descr'])) . ' (' .
-                        __('the link will open a new window') . ')';
+                        __('new window') . ')';
                     } elseif ($description == 'title' || $description == 'both') {
                         $title = html::escapeHTML(__($m['descr']));
@@ -137,5 +137,5 @@
 
                 if (empty($title) && $targetBlank) {
-                    $title = __('the link will open a new window');
+                    $title = __('new window');
                 }
                 if ($active && !$targetBlank) {
@@ -164,5 +164,5 @@
                     '">' .
                     '<a href="' . $href . '"' .
-                    (!empty($item['title']) ? ' title="'. $label ." - " . $item['title'] . '"' : '') .
+                    (!empty($item['title']) ? ' title="'. $label . ' - ' . $item['title'] . '"' : '') .
                     (($targetBlank) ? ' target="_blank" rel="noopener noreferrer"' : '') . '>' .
                     '<span class="simple-menu-label">' . $item['label'] . '</span>' .