Index: inc/public/default-templates/currywurst/_entry-content.html
===================================================================
--- inc/public/default-templates/currywurst/_entry-content.html	(revision 3601)
+++ inc/public/default-templates/currywurst/_entry-content.html	(revision 3958)
@@ -46,18 +46,13 @@
 	</tpl:AttachmentsHeader>
 				<li class="post-attachments-item {{tpl:AttachmentType}}">
-					<tpl:AttachmentIf is_audio="1">
-						{{tpl:include src="_audio_player.html"}}
-					</tpl:AttachmentIf>
-					<tpl:AttachmentIf is_video="1">
-						<tpl:AttachmentIf is_flv="0">
-							{{tpl:include src="_video_player.html"}}
-						{{tpl:else}}
-							{{tpl:include src="_flv_player.html"}}
-						</tpl:AttachmentIf>
-					</tpl:AttachmentIf>
-					<tpl:AttachmentIf is_video="0" is_audio="0">
-						<a href="{{tpl:AttachmentURL}}"
-						 title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
-					</tpl:AttachmentIf>
+          <tpl:AttachmentIf is_audio="1">
+            {{tpl:include src="_audio_player.html"}}
+          </tpl:AttachmentIf>
+          <tpl:AttachmentIf is_video="1">
+            {{tpl:include src="_video_player.html"}}
+          </tpl:AttachmentIf>
+          <tpl:AttachmentIf is_audio="0" is_video="0">
+             <a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
+          </tpl:AttachmentIf>
 				</li>
 	<tpl:AttachmentsFooter>
Index: inc/public/default-templates/currywurst/_flv_player.html
===================================================================
--- inc/public/default-templates/currywurst/_flv_player.html	(revision 2600)
+++ inc/public/default-templates/currywurst/_flv_player.html	(revision 3958)
@@ -1,8 +1,1 @@
-<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_flv.swf"
-width="400" height="300">
-<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_flv.swf" />
-<param name="wmode" value="transparent" />
-<param name="allowFullScreen" value="true" />
-<param name="FlashVars" value="flv={{tpl:MediaURL}}&amp;width=400&amp;height=300&amp;margin=1&amp;showfullscreen=1&amp;showvolume=1&amp;showtime=1" />
-{{tpl:lang Embedded Audio Player}}
-</object>
+<a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
Index: inc/public/default-templates/currywurst/_mp3_player.html
===================================================================
--- inc/public/default-templates/currywurst/_mp3_player.html	(revision 3065)
+++ inc/public/default-templates/currywurst/_mp3_player.html	(revision 3958)
@@ -1,9 +1,3 @@
 <audio controls preload="auto">
 	<source src="{{tpl:MediaURL}}" type="audio/mpeg"/>
-	<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" width="200" height="20">
-		<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" />
-		<param name="wmode" value="transparent" />
-		<param name="FlashVars" value="mp3={{tpl:MediaURL}}&amp;showvolume=1&amp;loadingcolor=ff9900&amp;bgcolor1=eeeeee&amp;bgcolor2=cccccc&amp;buttoncolor=0066cc&amp;buttonovercolor=ff9900&amp;slidercolor1=cccccc&amp;slidercolor2=999999&amp;sliderovercolor=0066cc" />
-		{{tpl:lang Embedded Audio Player}}
-	</object>
 </audio>
Index: inc/public/default-templates/dotty/_entry-content.html
===================================================================
--- inc/public/default-templates/dotty/_entry-content.html	(revision 3601)
+++ inc/public/default-templates/dotty/_entry-content.html	(revision 3958)
@@ -48,18 +48,13 @@
 	</tpl:AttachmentsHeader>
 				<li class="post-attachments-item {{tpl:AttachmentType}}">
-					<tpl:AttachmentIf is_audio="1">
-						{{tpl:include src="_audio_player.html"}}
-					</tpl:AttachmentIf>
-					<tpl:AttachmentIf is_video="1">
-						<tpl:AttachmentIf is_flv="0">
-							{{tpl:include src="_video_player.html"}}
-						{{tpl:else}}
-							{{tpl:include src="_flv_player.html"}}
-						</tpl:AttachmentIf>
-					</tpl:AttachmentIf>
-					<tpl:AttachmentIf is_video="0" is_audio="0">
-						<a href="{{tpl:AttachmentURL}}"
-						 title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
-					</tpl:AttachmentIf>
+          <tpl:AttachmentIf is_audio="1">
+            {{tpl:include src="_audio_player.html"}}
+          </tpl:AttachmentIf>
+          <tpl:AttachmentIf is_video="1">
+            {{tpl:include src="_video_player.html"}}
+          </tpl:AttachmentIf>
+          <tpl:AttachmentIf is_audio="0" is_video="0">
+             <a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
+          </tpl:AttachmentIf>
 				</li>
 	<tpl:AttachmentsFooter>
Index: inc/public/default-templates/dotty/_flv_player.html
===================================================================
--- inc/public/default-templates/dotty/_flv_player.html	(revision 3246)
+++ inc/public/default-templates/dotty/_flv_player.html	(revision 3958)
@@ -1,8 +1,1 @@
-<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_flv.swf"
-width="400" height="300">
-<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_flv.swf" />
-<param name="wmode" value="transparent" />
-<param name="allowFullScreen" value="true" />
-<param name="FlashVars" value="flv={{tpl:MediaURL}}&amp;width=400&amp;height=300&amp;margin=1&amp;showfullscreen=1&amp;showvolume=1&amp;showtime=1" />
-{{tpl:lang Embedded Audio Player}}
-</object>
+<a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
Index: inc/public/default-templates/dotty/_mp3_player.html
===================================================================
--- inc/public/default-templates/dotty/_mp3_player.html	(revision 3246)
+++ inc/public/default-templates/dotty/_mp3_player.html	(revision 3958)
@@ -1,9 +1,3 @@
 <audio controls preload="auto">
 	<source src="{{tpl:MediaURL}}" type="audio/mpeg"/>
-	<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" width="200" height="20">
-		<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" />
-		<param name="wmode" value="transparent" />
-		<param name="FlashVars" value="mp3={{tpl:MediaURL}}&amp;showvolume=1&amp;loadingcolor=ff9900&amp;bgcolor1=eeeeee&amp;bgcolor2=cccccc&amp;buttoncolor=0066cc&amp;buttonovercolor=ff9900&amp;slidercolor1=cccccc&amp;slidercolor2=999999&amp;sliderovercolor=0066cc" />
-		{{tpl:lang Embedded Audio Player}}
-	</object>
 </audio>
Index: inc/public/default-templates/mustek/_flv_player.html
===================================================================
--- inc/public/default-templates/mustek/_flv_player.html	(revision 2599)
+++ inc/public/default-templates/mustek/_flv_player.html	(revision 3958)
@@ -1,8 +1,1 @@
-<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_flv.swf"
-width="400" height="300">
-<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_flv.swf" />
-<param name="wmode" value="transparent" />
-<param name="allowFullScreen" value="true" />
-<param name="FlashVars" value="flv={{tpl:MediaURL}}&amp;width=400&amp;height=300&amp;margin=1&amp;showfullscreen=1&amp;showvolume=1&amp;showtime=1" />
-{{tpl:lang Embedded Audio Player}}
-</object>
+<a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
Index: inc/public/default-templates/mustek/_mp3_player.html
===================================================================
--- inc/public/default-templates/mustek/_mp3_player.html	(revision 3065)
+++ inc/public/default-templates/mustek/_mp3_player.html	(revision 3958)
@@ -1,9 +1,3 @@
 <audio controls preload="auto">
 	<source src="{{tpl:MediaURL}}" type="audio/mpeg"/>
-	<object type="application/x-shockwave-flash" data="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" width="200" height="20">
-		<param name="movie" value="{{tpl:BlogQmarkURL}}pf=player_mp3.swf" />
-		<param name="wmode" value="transparent" />
-		<param name="FlashVars" value="mp3={{tpl:MediaURL}}&amp;showvolume=1&amp;loadingcolor=ff9900&amp;bgcolor1=eeeeee&amp;bgcolor2=cccccc&amp;buttoncolor=0066cc&amp;buttonovercolor=ff9900&amp;slidercolor1=cccccc&amp;slidercolor2=999999&amp;sliderovercolor=0066cc" />
-		{{tpl:lang Embedded Audio Player}}
-	</object>
 </audio>
Index: inc/public/default-templates/mustek/post.html
===================================================================
--- inc/public/default-templates/mustek/post.html	(revision 3422)
+++ inc/public/default-templates/mustek/post.html	(revision 3958)
@@ -93,13 +93,8 @@
 				</tpl:AttachmentIf>
 				<tpl:AttachmentIf is_video="1">
-					<tpl:AttachmentIf is_flv="0">
-						{{tpl:include src="_video_player.html"}}
-					{{tpl:else}}
-						{{tpl:include src="_flv_player.html"}}
-					</tpl:AttachmentIf>
-				</tpl:AttachmentIf>
-		 <tpl:AttachmentIf is_audio="0" is_video="0">
-			<a href="{{tpl:AttachmentURL}}"
-		title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
+					{{tpl:include src="_video_player.html"}}
+        </tpl:AttachmentIf>
+  		  <tpl:AttachmentIf is_audio="0" is_video="0">
+			     <a href="{{tpl:AttachmentURL}}" title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
 				</tpl:AttachmentIf>
 			</li>