Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 73)
+++ admin/auth.php	(revision 133)
@@ -365,6 +365,6 @@
 			echo '<legend>'.__('Safe mode login').'</legend>';
 			echo 
-				'<p class="form-note">'.
-				__('This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems').'&nbsp;'.
+				'<p class="form-note info">'.
+				__('This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems').'&nbsp;<br />'.
 				__('Disable or delete any plugin suspected to cause trouble, then log out and log back in normally.').
 				'</p>';
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 38)
+++ admin/blog.php	(revision 133)
@@ -78,6 +78,6 @@
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
-	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
-	__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>'.
+	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p> '.
+	'<p class="form-note warn">'.__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>'.
 	
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog name:').' '.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 122)
+++ admin/blog_pref.php	(revision 133)
@@ -268,6 +268,6 @@
 		'<p><label for="blog_id" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').
 		form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
-		'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
-		__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>';
+		'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p> '.
+		'<p class="form-note warn">'.__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>';
 	}
 	
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 68)
+++ admin/media.php	(revision 133)
@@ -328,4 +328,5 @@
 	echo
 	'<div class="col"><h3 id="add-file">'.__('Add files').'</h3>'.
+	'<p class="form-note info">'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'<form id="media-upload" class="clear" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
 	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
@@ -343,5 +344,4 @@
 	'</fieldset>'.
 	'</form>'.
-	'<p class="form-note">'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'</div>';
 	
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 115)
+++ admin/preferences.php	(revision 133)
@@ -487,5 +487,5 @@
 
 echo '<div id="default-favs"><h3>'.__('Default favorites').'</h3>';
-echo '<p class="form-note clear">'.__('Those favorites are displayed when My Favorites list is empty.').'</p>';
+echo '<p class="form-note info clear">'.__('Those favorites are displayed when My Favorites list is empty.').'</p>';
 $count = 0;
 foreach ($ws->dumpPrefs() as $k => $v) {
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 132)
+++ admin/style/default.css	(revision 133)
@@ -1074,10 +1074,19 @@
 }
 p.form-note {
-	font-style:normal;
+	font-style:italic;
+	margin-top: -.7em;
+	color: #666;
+}
+p.form-note.warn, p.form-note.info {
+	font-style: normal;
+	padding: .2em 1em .1em 24px;
+}
+p.form-note.warn {
+	background: #ffd url(warning.png) no-repeat .2em .2em;
+	border: 1px solid #f0c020;
+}
+p.form-note.info {
 	background: #eef url(info.png) no-repeat .2em .2em;
 	border: 1px solid #99f;
-	padding: .2em 1em .1em 24px;
-	margin-top: -.7em;
-	color: #666;
 }
 .form-note a {border-bottom: 1px solid #99f;}