Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 2237)
+++ admin/blog_theme.php	(revision 2241)
@@ -134,5 +134,5 @@
 
 		$list
-			->initList('theme-update')
+			->setList('theme-update')
 			->setTab('themes')
 			->setModules($modules)
@@ -163,10 +163,10 @@
 
 	$list
-		->initList('theme-activate')
+		->setList('theme-activate')
 		->setTab('themes')
 		->setModules($modules)
 		->displayModules(
 			/* cols */		array('sshot', 'distrib', 'name', 'config', 'desc', 'author', 'version', 'parent'),
-			/* actions */	array('select', 'deactivate', 'delete')
+			/* actions */	array('select', 'behavior', 'deactivate', 'delete')
 		);
 
@@ -185,5 +185,5 @@
 
 	$list
-		->initList('theme-deactivate')
+		->setList('theme-deactivate')
 		->setTab('themes')
 		->setModules($modules)
@@ -210,5 +210,5 @@
 
 		$list
-			->initList('theme-new')
+			->setList('theme-new')
 			->setTab('new')
 			->setModules($modules)
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2237)
+++ admin/plugins.php	(revision 2241)
@@ -157,5 +157,5 @@
 
 		$list
-			->initList('plugin-update')
+			->setList('plugin-update')
 			->setTab('update')
 			->setModules($modules)
@@ -188,10 +188,10 @@
 
 	$list
-		->initList('plugin-activate')
+		->setList('plugin-activate')
 		->setTab('plugins')
 		->setModules($modules)
 		->displayModules(
 			/* cols */		array('expander', 'icon', 'name', 'config', 'version', 'desc', 'distrib'),
-			/* actions */	array('deactivate', 'delete')
+			/* actions */	array('deactivate', 'delete', 'behavior')
 		);
 }
@@ -206,5 +206,5 @@
 
 		$list
-			->initList('plugin-deactivate')
+			->setList('plugin-deactivate')
 			->setTab('plugins')
 			->setModules($modules)
@@ -232,5 +232,5 @@
 
 		$list
-			->initList('plugin-new')
+			->setList('plugin-new')
 			->setTab('new')
 			->setModules($modules)
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2240)
+++ admin/style/default.css	(revision 2241)
@@ -1583,4 +1583,7 @@
 	font-size: 1.33em;
 	}
+input {
+	margin-bottom: 1em;
+	}
 /* ------------------------------------------------------------------ categories.php */
 #categories {
@@ -2358,4 +2361,7 @@
 	background: #ff6;
 	padding: 3px 0.5em 2px;
+	}
+input[type=submit].delete.debug, a.delete.debug {
+	background: #ff6;
 	}
 /* ---------------------------------------------- Couleurs ajoutées via javascript	
Index: inc/admin/lib.moduleslist.php
===================================================================
--- inc/admin/lib.moduleslist.php	(revision 2227)
+++ inc/admin/lib.moduleslist.php	(revision 2241)
@@ -75,5 +75,5 @@
 	 * @return	adminModulesList self instance
 	 */
-	public function initList($id)
+	public function setList($id)
 	{
 		$this->data = array();
@@ -82,4 +82,14 @@
 
 		return $this;
+	}
+
+	/**
+	 * Get list ID.
+	 *
+	 * @return	List ID
+	 */
+	public function getList()
+	{
+		return $this->list_id;
 	}
 
@@ -136,5 +146,5 @@
 	{
 		return $this->path_writable 
-			&& preg_match('!^'.$this->path_pattern.'!', $root) 
+			&& (preg_match('!^'.$this->path_pattern.'!', $root) || defined('DC_DEV') && DC_DEV) 
 			&& $this->core->auth->isSuperAdmin();
 	}
@@ -652,6 +662,7 @@
 				# Delete
 				case 'delete': if ($this->isDeletablePath($module['root'])) {
+					$dev = !preg_match('!^'.$this->path_pattern.'!', $module['root']) && defined('DC_DEV') && DC_DEV ? ' debug' : '';
 					$submits[] = 
-					'<input type="submit" class="delete" name="delete" value="'.__('Delete').'" />';
+					'<input type="submit" class="delete '.$dev.'" name="delete" value="'.__('Delete').'" />';
 				} break;
 
@@ -667,6 +678,18 @@
 					'<input type="submit" name="update" value="'.__('Update').'" />';
 				} break;
-			}
-		}
+
+				# Behavior
+				case 'behavior':
+
+					# --BEHAVIOR-- adminModulesListGetActions
+					$tmp = $this->core->callBehavior('adminModulesListGetActions', $this, $id, $module);
+
+					if (!empty($tmp)) {
+						$submits[] = $tmp;
+					}
+				break;
+			}
+		}
+
 
 		return $submits;
@@ -798,5 +821,5 @@
 			elseif (!empty($_POST['update'])) {
 
-				$updated = $store->get();
+				$updated = $this->store->get();
 				if (!isset($updated[$id])) {
 					throw new Exception(__('No such module.'));
@@ -830,4 +853,10 @@
 				dcPage::addSuccessNotice(__('Module has been successfully updated.'));
 				http::redirect($this->getURL());
+			}
+			else {
+
+				# --BEHAVIOR-- adminModulesListDoActions
+				$this->core->callBehavior('adminModulesListDoActions', $this, $id, $prefix);
+
 			}
 		}